Series catalog
curl --request GET \
--url https://www.prometheus.services/api/v1/correlation/catalog \
--header 'X-API-KEY: <api-key>'import requests
url = "https://www.prometheus.services/api/v1/correlation/catalog"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://www.prometheus.services/api/v1/correlation/catalog', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"macro": [
{
"indicatorCode": "TRADE_WEIGHTED_DOLLAR",
"name": "Nominal Broad U.S. Dollar Index",
"category": "external",
"frequency": "Daily",
"units": "Index Jan 2006=100",
"observationStart": "2006-01-02",
"observationEnd": "2026-06-18"
},
{
"indicatorCode": "TRADE_BALANCE",
"name": "Trade Balance",
"category": "external",
"frequency": "Monthly",
"units": "Mil. of $",
"observationStart": "1992-01-01",
"observationEnd": "2026-04-01"
},
{
"indicatorCode": "USD_EUR_RATE",
"name": "U.S. / Euro Foreign Exchange Rate",
"category": "external",
"frequency": "Daily",
"units": "U.S. $ to 1 Euro",
"observationStart": "1999-01-04",
"observationEnd": "2026-06-18"
}
],
"fundamentals": {
"companies": [
{
"companyId": "MMM",
"ticker": "MMM",
"name": "3M CO"
},
{
"companyId": "ABT",
"ticker": "ABT",
"name": "ABBOTT LABORATORIES"
},
{
"companyId": "ABBV",
"ticker": "ABBV",
"name": "AbbVie Inc."
}
],
"metrics": [
{
"key": "revenue",
"label": "Revenue"
},
{
"key": "cost_of_revenue",
"label": "Cost of Revenue"
},
{
"key": "gross_profit",
"label": "Gross Profit"
}
]
},
"prices": {
"companies": [
{
"companyId": "MMM",
"ticker": "MMM",
"name": "3M CO"
},
{
"companyId": "ABT",
"ticker": "ABT",
"name": "ABBOTT LABORATORIES"
},
{
"companyId": "ABBV",
"ticker": "ABBV",
"name": "AbbVie Inc."
}
],
"fields": [
{
"key": "close",
"label": "Close Price"
},
{
"key": "adj_close",
"label": "Adjusted Close"
},
{
"key": "volume",
"label": "Volume"
}
]
},
"indices": [
{
"symbol": "SPY",
"name": "SPDR S&P 500 ETF Trust",
"category": "broad_market"
},
{
"symbol": "QQQ",
"name": "Invesco QQQ Trust, Series 1",
"category": "broad_market"
},
{
"symbol": "DIA",
"name": "SPDR Dow Jones Industrial Average ETF",
"category": "broad_market"
}
],
"commodities": [
{
"symbol": "H100",
"name": "NVIDIA H100 SXM",
"category": "gpu",
"tier": "reference",
"unit": "USD per GPU-hour",
"provider": "ORNN"
},
{
"symbol": "H200",
"name": "NVIDIA H200 SXM",
"category": "gpu",
"tier": "reference",
"unit": "USD per GPU-hour",
"provider": "ORNN"
},
{
"symbol": "B200",
"name": "NVIDIA B200",
"category": "gpu",
"tier": "reference",
"unit": "USD per GPU-hour",
"provider": "ORNN"
}
]
}{
"error": "<string>",
"code": "unauthenticated"
}{
"error": "<string>",
"code": "unauthenticated"
}{
"error": "<string>",
"code": "unauthenticated"
}{
"error": "<string>",
"code": "unauthenticated"
}Analytics
Series catalog
Series available to the correlation engine.
GET
/
api
/
v1
/
correlation
/
catalog
Series catalog
Authorizations
apiKeycognitoIdToken
Prometheus API key (pk_live_...), created on the Developers page in the terminal. Also accepted as Authorization: Bearer pk_live_....
Response
OK
The response is of type object.
⌘I